SELECT d.username, a.appName, cpuSeconds/(0.8*fgSeconds+0.2*bgSeconds) as cpuGrade, memSeconds/(0.8*fgSeconds+0.2*bgSeconds) as memGrade, a.cpuSeconds, a.memSeconds, a.fgSeconds, a.bgSeconds, a.timestamp 
FROM app_grades a, devices d 
WHERE a.device_id = d.id and timestamp>='2009-12-19 16:44:41' and timestamp<='2009-12-19 17:00:50' 
  AND (
    a.appName = 'com.kmagic.solitaire' OR
    a.appName = 'fm.last.android' OR
    a.appName = 'com.google.android.chess' OR
    a.appName = 'org.microemu.android.Browser' OR
    a.appName = 'com.android.browser' OR
    a.appName = 'virtualgs.space'
  )
ORDER BY timestamp ASC LIMIT 0,1000
