import os

def comp(x, y):
    if x[1] < y[1]:
       return 1
    elif x[1] == y[1]:
       return 0
    else: # x>y
       return -1

DIRECTORIES_TO_READ = ["/home/ichall/Desktop/Tyler_CPU/", "/home/ichall/Desktop/Mike_CPU/"]
OUTPUT_FILE_NAMES = ["TylerInfo", "MikeInfo"]

if len(DIRECTORIES_TO_READ) != len(OUTPUT_FILE_NAMES):
   print "DIRECTORIES_TO_READ and OUTPUT_FILE_NAMES must be the same length!"
   exit()

dirCounter = 0
totalTime = 0

for dir in DIRECTORIES_TO_READ:

   fileList = os.listdir(dir)
   output_file_raw = open(OUTPUT_FILE_NAMES[dirCounter] + "Raw.txt", "wb")
   output_file_scaled = open(OUTPUT_FILE_NAMES[dirCounter] + "Scaled.txt", "wb")
   avgTimeList = []

   for filename in fileList:

      appName = filename.split(".")[0]
      text_file = open(dir + filename, "r")

      totalTimeFile = 0.0
      fileLength = 0.0

      for line in text_file:
         totalTimeFile += int(line)
         fileLength += 1

      if fileLength == 0.0:
         print "File %s was empty, skipped." % filename
         continue

      totalTime += totalTimeFile
      avgTime = totalTimeFile / fileLength
      avgTimeList.append([filename, avgTime])
      output_file_raw.write("%s %f\n" % (filename, avgTime))

   bigNumber = 0.0
   for time in avgTimeList:
      if time[1] > bigNumber: bigNumber = time[1]

   for time in avgTimeList:
      time[1] = time[1] / bigNumber
      output_file_scaled.write("%s %f\n" % (time[0], time[1]))

   output_file_scaled.close()
   output_file_raw.close()
   dirCounter += 1

dict = {}
for file in OUTPUT_FILE_NAMES:

   input_file = open(file + "Raw.txt", "r")

   for line in input_file:
      key = line.split(" ")[0]
      value = float(line.split(" ")[1])

      if not dict.has_key(key): dict[key] = value
      else: dict[key] += value


bigNumber = 0.0
output_file = open("ScaledCombined.txt", "wb")
for key, value in dict.items():
   if value > bigNumber: bigNumber = value

for key, value in dict.items():
   value = (value / bigNumber) * 100
   output_file.write("%s %f\n" % (key, value))





