package com.cs707.processorloadcalculator;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.util.Date;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;

public class ProcessorLoadCalculator extends Activity {
    /** Called when the activity is first created. */
	String file = "/sdcard/processorCalc.txt";
	TextView tv = null;
    @Override
    public void onCreate(Bundle savedInstanceState) 
    {
        super.onCreate(savedInstanceState);
        tv = new TextView(this);
        setContentView(tv);
        
        File f = new File(file);
        if (f.exists() && f.canWrite())
        {
        	f.delete();
        }
        
        int countToMillion = 0;
        Date start = new Date();
        
        while(true)
        {
        	countToMillion++;
            
            if (countToMillion == 30000000)
            {
            	Date end = new Date();
            	Long time = end.getTime() - start.getTime();
            	
            	Boolean success = writeToFile(time);
            	
            	if(!success)
            	{
            		break;
            	}
        		
            	countToMillion = 0;
            	start = new Date();
        	}
            
        }
            
    }
    
    public boolean writeToFile(Long data)
    {

		try
		{
			StringBuilder strbldr = new StringBuilder();
			File gpxfile = new File(file);
	        FileWriter gpxwriter = new FileWriter(gpxfile,true);
	        BufferedWriter out = new BufferedWriter(gpxwriter);
	        out.write(strbldr.append(data).toString());
	        out.write("\n");
	        out.close();
		}
		catch(FileNotFoundException e1)
		{
			tv.append("FNF: " + e1.getMessage());
			e1.printStackTrace();
			return false;
		}
		catch(IOException e1)
		{
			tv.append("IO: " + e1.getMessage());
			e1.printStackTrace();
			return false;
		}
		
		return true;
     }
}